Require Internet Connection error in Expo v20

#1

After upgrading to version 20 per the posted instructions, I get the following error telling me that “Expo requires and internet connection”:

  • I am using a Motorola Nexus 6 running Android 7.0. Both the computer and the phone are on the same wi-fi network and the phone is connected to the development machine via USB. My host is “LAN”, protocol is “exp”
  • I’ve confirmed that the phone is already connected to the Internet by navigating to various sites using its browser. Additionally, the development machine is also connected to the Internet.
  • I can see the expected program console log output in the message window (right window) of the Expo XDE application.
  • Closing Expo on phone and then opening the application on my device using Expo XDE does not get rid of the error.
  • Restarting the project and then pushing the application results in the application building, but the error persists.
  • Shutting off my phone also didn’t work.

The only thing that has worked so far is disconnecting the USB cable. However, I did that in conjunction with removing the phone for several hours. I’m not sure if that had any effect.

3 Likes
#2

I’m using Nexus 5.0 and the simulator encounters same problem as well. :frowning:

#3

I’m just using another simulator and I have no problem!

#4

If you clear application data and cache it’ll fix this. Sorry about the issue. Thought this was resolved.

#5

What version of the Android app do you have?

#6

I had to uninstall and reinstall the application in order to get around the error screen. I’m using version 1.19.0 of the Android Application.
Also, how do you clear application data and cache? Are you talking about a “Restart” in the Expo XDE or do you mean clearing it on the phone like mentioned here: https://www.google.com/search?q=android+clear+application+data+and+cache

#7

1.19.1 should have a fix for this. Can you try that?

#8

Can you provide a apk?

#9

I am also experience the same issue I am using android version 6.0, and I do have internet connectivity in my workstation and the testing device.

#10

It only works with the simulator which didn’t update the Expo app to the next version. I’m not updating the one that is working just in case :frowning: I think there is an error in update.

#11

The new APK is on the Play Store and here: https://d1ahtucjixef4r.cloudfront.net/Exponent-1.19.1.apk

#12

where could we get 1.19.1 ?

#13

I’ve been trying it for several hours and clearing the application data cache seems to have worked. Thanks.

1 Like
#14

@reggie3 did the new APK work for you? Also glad that you got it working eventually.

1 Like
#15

I’m still getting same error… Clearing Cache and Data doesn’t work to mine. :frowning:
And somehow I can’t download your APK to my simulator.


I’m using Nexus 5 and Android version 7.1.1. And it doesn’t work on other emulators as well.

#16

I don’t think it was the new APK since I was already running that version before the cache cleared. In fact, I didn’t even download a new APK after I cleared the cache.
However, the cache clearing did seem to make things better. However, things seem a lot less stable in this version. I can’t put my finger on it completely, but I think it may be related to my use of a WebView. I’ll keep my eyes on it and report back if I can figure out anything else.

#17

Hi reggie3,

To clear cache, did you navigate to the settings -> apps -> Expo -> clear cache?

I cleared cache and data but still can’t resolve this bug. :frowning:

#18

Yes, that is what I did. Only additional step was selecting “Storage” after “Expo”. From there I was able to select Clear Cache.

#19

I am a new to expo app. and I find this word in expo document.
JS and assets managed by Expo require connectivity to Google Cloud Platform and AWS
Does it mean the app of real user must be connective to the GCP and AWS?
As everyone knows, the google is blocked in China, so what does the expo app run to get js and assets ??
Is there any app running in Chine made of expo?

#20

Got the same issue on Expo V30! Deleting Expo App Data helped to solve the issue. Did not tested the deleting cache part.